aboutsummaryrefslogtreecommitdiffstats
path: root/testing/duo_unix/APKBUILD
diff options
context:
space:
mode:
authorPaul Morgan <jumanjiman@gmail.com>2016-01-09 23:46:24 +0000
committerSören Tempel <soeren+git@soeren-tempel.net>2016-01-10 01:05:33 +0100
commit7b87308242d1c9f9180b415ebe2c4cc14e6bf797 (patch)
treedd444d9f652330d306d932c859cf2526c3a68e03 /testing/duo_unix/APKBUILD
parent03ee0f926543812f077b1a1e2598316f586bef5a (diff)
downloadaports-7b87308242d1c9f9180b415ebe2c4cc14e6bf797.tar.gz
aports-7b87308242d1c9f9180b415ebe2c4cc14e6bf797.tar.bz2
aports-7b87308242d1c9f9180b415ebe2c4cc14e6bf797.tar.xz
testing/duo_unix: upgrade to 1.9.17
* Update to current release * Most, but not all, duosecurity.com links are now duo.com * Add myself as maintainer since I use this package extensively and am interested to keep it up-to-date
Diffstat (limited to 'testing/duo_unix/APKBUILD')
-rw-r--r--testing/duo_unix/APKBUILD25
1 files changed, 16 insertions, 9 deletions
diff --git a/testing/duo_unix/APKBUILD b/testing/duo_unix/APKBUILD
index 50e62c3437..c42d81b154 100644
--- a/testing/duo_unix/APKBUILD
+++ b/testing/duo_unix/APKBUILD
@@ -1,12 +1,12 @@
# Contributor: Alan Lacerda <alacerda@alpinelinux.org>
-# Maintainer:
+# Maintainer: Paul Morgan <jumanjiman@gmail.com>
pkgname=duo_unix
-pkgver=1.9.11
+pkgver=1.9.17
pkgrel=0
pkgdesc="duosecurity.com two-factor authentication"
-url="https://www.duosecurity.com/docs/duounix"
+url="https://duo.com/support/documentation/duounix"
arch="all"
-license="GPLv2"
+license="GPL2"
depends="openssl zlib"
depends_dev="libc-dev openssl-dev zlib-dev"
makedepends="$depends_dev"
@@ -15,7 +15,7 @@ options="suid"
subpackages="$pkgname-dev $pkgname-doc"
source="https://dl.duosecurity.com/$pkgname-$pkgver.tar.gz"
-_builddir="${srcdir}/$pkgname-$pkgver"
+_builddir="$srcdir"/$pkgname-$pkgver
prepare() {
local i
cd "$_builddir"
@@ -28,7 +28,14 @@ prepare() {
build() {
cd "$_builddir"
- ./configure --prefix=/usr || return 1
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --localstatedir=/var \
+ || return 1
make || return 1
}
@@ -37,6 +44,6 @@ package() {
make DESTDIR="$pkgdir" install || return 1
}
-md5sums="f9e252cccb850d27343e926a802c5602 duo_unix-1.9.11.tar.gz"
-sha256sums="f5c9a44c179727e9284837d6c009b079f5eefba5f241a5a37ae1ff5fff56871c duo_unix-1.9.11.tar.gz"
-sha512sums="8ef1cc66aac1b12b5128ed67a335df1943a626dede12f4373677c72b72cbf8b6d37c5a4913d196f2037f7954e6247eb8367d54c0e74269c3eb96f9b12c7724fc duo_unix-1.9.11.tar.gz"
+md5sums="7c7ecf9bb76d40da2ce20807e81850b6 duo_unix-1.9.17.tar.gz"
+sha256sums="d841fb7cf48013d25c2abe882aa1888f230b8414b71ef5898ca988d000b5953a duo_unix-1.9.17.tar.gz"
+sha512sums="b62ce265fc6f5f951bcd42026adeff312fb127e46ad87a830f75fe42cfc5060541f3ff4b3ff7d32a8b56b39ef6c58a893d3fd6df8b9eca78d9e89c242f532626 duo_unix-1.9.17.tar.gz"